Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.toggle
Class ToggleVetoException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.pietschy.command.toggle.ToggleVetoException

All Implemented Interfaces:
  java.io.Serializable

    public class ToggleVetoException

extends java.lang.Exception

Thrown when a `ToggleCommand` refuses to or cannot change selection state.

Version:
  $Revision: 1.2 $
Author:
  andrewp
See Also:
  Serialized Form

Constructor Summary
`ToggleVetoException()` Creates a new instance.
`ToggleVetoException(java.lang.String message)` Creates a new instance with the specified message.
`ToggleVetoException(java.lang.String message, java.lang.Throwable cause)` Creates a new instance with the specified message and root cause.
`ToggleVetoException(java.lang.Throwable cause)` Creates a new instance with the specified root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ToggleVetoException

    public ToggleVetoException()

  Creates a new instance.

### ToggleVetoException

    public ToggleVetoException(java.lang.String message)

  Creates a new instance with the specified message.

  Parameters:
    `message` - the exception message.

### ToggleVetoException

    public ToggleVetoException(java.lang.String message,
                               java.lang.Throwable cause)

  Creates a new instance with the specified message and root cause.

  Parameters:
    `message` - the exception message.
    `cause` - the exception that caused the veto.

### ToggleVetoException

    public ToggleVetoException(java.lang.Throwable cause)

  Creates a new instance with the specified root cause.

  Parameters:
    `cause` - the exception that caused the veto.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch